Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenCommonBase

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenChildContainer, GenChildLabelNode, GenChildNode, GenCompartment, GenContainerBase, GenDiagram, GenExternalNodeLabel, GenLabel, GenLink, GenLinkLabel, GenNode, GenNodeLabel, GenTopLevelNode

All Known Implementing Classes:
  GenChildContainerImpl, GenChildLabelNodeImpl, GenChildNodeImpl, GenCommonBaseImpl, GenCompartmentImpl, GenDiagramImpl, GenExternalNodeLabelImpl, GenLabelImpl, GenLinkImpl, GenLinkLabelImpl, GenNodeImpl, GenNodeLabelImpl, GenTopLevelNodeImpl

public interface GenCommonBase
extends EObject

A representation of the model object 'Gen Common Base'. One that combines attributes that are essential for diagram elements

The following features are supported:

- `Diagram Run Time Class`
- `Visual ID`
- `Element Type`
- `Edit Part Class Name`
- `Item Semantic Edit Policy Class Name`
- `Notation View Factory Class Name`
- `Viewmap`

See Also:
  `GMFGenPackage.getGenCommonBase()`
** Generated **
Model:
  abstract="true"

Field Summary
`static java.lang.String` `DEFAULT_CLASS_NAME_PREFIX`
`static java.lang.String` `EDIT_PART_SUFFIX`
`static java.lang.String` `ITEM_SEMANTIC_EDIT_POLICY_SUFFIX`
`static java.lang.String` `NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`java.lang.String` `getClassNamePrefix()` If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...
`java.lang.String` `getClassNameSuffux()` If the meaning of the 'Class Name Suffux' attribute isn't clear, there really should be more of a description here...
`GenDiagram` `getDiagram()`
`GenClass` `getDiagramRunTimeClass()` Returns the value of the 'Diagram Run Time Class' reference
`java.lang.String` `getEditPartClassName()` Returns the value of the 'Edit Part Class Name' attribute
`java.lang.String` `getEditPartQualifiedClassName()`
`ElementType` `getElementType()` Returns the value of the 'Element Type' containment reference.
`java.lang.String` `getItemSemanticEditPolicyClassName()` Returns the value of the 'Item Semantic Edit Policy Class Name' attribute
`java.lang.String` `getItemSemanticEditPolicyQualifiedClassName()`
`ViewmapLayoutType` `getLayoutType()`
`java.lang.String` `getNotationViewFactoryClassName()` Returns the value of the 'Notation View Factory Class Name' attribute
`java.lang.String` `getNotationViewFactoryQualifiedClassName()`
`java.lang.String` `getUniqueIdentifier()` This unique string identifier could be used to construct unique identifiers in generated java code
`Viewmap` `getViewmap()` Returns the value of the 'Viewmap' containment reference
`int` `getVisualID()` Returns the value of the 'Visual ID' attribute
`void` `setDiagramRunTimeClass(GenClass value)` Sets the value of the '`Diagram Run Time Class`' reference
`void` `setEditPartClassName(java.lang.String value)` Sets the value of the '`Edit Part Class Name`' attribute
`void` `setElementType(ElementType value)` Sets the value of the '`Element Type`' containment reference
`void` `setItemSemanticEditPolicyClassName(java.lang.String value)` Sets the value of the '`Item Semantic Edit Policy Class Name`' attribute
`void` `setNotationViewFactoryClassName(java.lang.String value)` Sets the value of the '`Notation View Factory Class Name`' attribute
`void` `setViewmap(Viewmap value)` Sets the value of the '`Viewmap`' containment reference
`void` `setVisualID(int value)` Sets the value of the '`Visual ID`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### EDIT_PART_SUFFIX

    public static final java.lang.String EDIT_PART_SUFFIX

See Also:
  Constant Field Values

### ITEM_SEMANTIC_EDIT_POLICY_SUFFIX

    public static final java.lang.String ITEM_SEMANTIC_EDIT_POLICY_SUFFIX

See Also:
  Constant Field Values

### NOTATION_VIEW_FACTORY_SUFFIX

    public static final java.lang.String NOTATION_VIEW_FACTORY_SUFFIX

See Also:
  Constant Field Values

### DEFAULT_CLASS_NAME_PREFIX

    public static final java.lang.String DEFAULT_CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getDiagramRunTimeClass

    public GenClass getDiagramRunTimeClass()

  Returns the value of the 'Diagram Run Time Class' reference.

  If the meaning of the 'Diagram Run Time Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Run Time Class' reference.
  See Also:
    `GenCommonBase.setDiagramRunTimeClass(GenClass)`, `GMFGenPackage.getGenCommonBase_DiagramRunTimeClass()`
  ** Generated **
  Model:
    required="true"

### setDiagramRunTimeClass

    public void setDiagramRunTimeClass(GenClass value)

  Sets the value of the '`Diagram Run Time Class`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Run Time Class' reference.
  See Also:
    `GenCommonBase.getDiagramRunTimeClass()`
  ** Generated **

### getVisualID

    public int getVisualID()

  Returns the value of the 'Visual ID' attribute. way to decide which editpart to use for specific diagram element. Maps to attribute in DRT.

  Returns:
    the value of the 'Visual ID' attribute.
  See Also:
    `GenCommonBase.setVisualID(int)`, `GMFGenPackage.getGenCommonBase_VisualID()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='visualID >= 0' description='Visual ID must be a non-negative integer'"

### setVisualID

    public void setVisualID(int value)

  Sets the value of the '`Visual ID`' attribute.

  Parameters:
    `value` - the new value of the 'Visual ID' attribute.
  See Also:
    `GenCommonBase.getVisualID()`
  ** Generated **

### getElementType

    public ElementType getElementType()

  Returns the value of the 'Element Type' containment reference. It is bidirectional and its opposite is '`Diagram Element`'.

  If the meaning of the 'Element Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Type' containment reference.
  See Also:
    `GenCommonBase.setElementType(ElementType)`, `GMFGenPackage.getGenCommonBase_ElementType()`, `ElementType.getDiagramElement()`
  ** Generated **
  Model:
    opposite="diagramElement" containment="true"

### setElementType

    public void setElementType(ElementType value)

  Sets the value of the '`Element Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Type' containment reference.
  See Also:
    `GenCommonBase.getElementType()`
  ** Generated **

### getEditPartClassName

    public java.lang.String getEditPartClassName()

  Returns the value of the 'Edit Part Class Name' attribute.

  If the meaning of the 'Edit Part Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Class Name' attribute.
  See Also:
    `GenCommonBase.setEditPartClassName(String)`, `GMFGenPackage.getGenCommonBase_EditPartClassName()`
  ** Generated **
  Model:

### setEditPartClassName

    public void setEditPartClassName(java.lang.String value)

  Sets the value of the '`Edit Part Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Class Name' attribute.
  See Also:
    `GenCommonBase.getEditPartClassName()`
  ** Generated **

### getItemSemanticEditPolicyClassName

    public java.lang.String getItemSemanticEditPolicyClassName()

  Returns the value of the 'Item Semantic Edit Policy Class Name' attribute.

  If the meaning of the 'Item Semantic Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `GenCommonBase.setItemSemanticEditPolicyClassName(String)`, `GMFGenPackage.getGenCommonBase_ItemSemanticEditPolicyClassName()`
  ** Generated **
  Model:

### setItemSemanticEditPolicyClassName

    public void setItemSemanticEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Item Semantic Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `GenCommonBase.getItemSemanticEditPolicyClassName()`
  ** Generated **

### getNotationViewFactoryClassName

    public java.lang.String getNotationViewFactoryClassName()

  Returns the value of the 'Notation View Factory Class Name' attribute.

  If the meaning of the 'Notation View Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notation View Factory Class Name' attribute.
  See Also:
    `GenCommonBase.setNotationViewFactoryClassName(String)`, `GMFGenPackage.getGenCommonBase_NotationViewFactoryClassName()`
  ** Generated **
  Model:

### setNotationViewFactoryClassName

    public void setNotationViewFactoryClassName(java.lang.String value)

  Sets the value of the '`Notation View Factory Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Notation View Factory Class Name' attribute.
  See Also:
    `GenCommonBase.getNotationViewFactoryClassName()`
  ** Generated **

### getViewmap

    public Viewmap getViewmap()

  Returns the value of the 'Viewmap' containment reference.

  If the meaning of the 'Viewmap' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Viewmap' containment reference.
  See Also:
    `GenCommonBase.setViewmap(Viewmap)`, `GMFGenPackage.getGenCommonBase_Viewmap()`
  ** Generated **
  Model:
    containment="true" required="true"

### setViewmap

    public void setViewmap(Viewmap value)

  Sets the value of the '`Viewmap`' containment reference.

  Parameters:
    `value` - the new value of the 'Viewmap' containment reference.
  See Also:
    `GenCommonBase.getViewmap()`
  ** Generated **

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  If the meaning of the 'Class Name Prefix' attribute isn't clear, there really should be more of a description here...

  ** Generated **
  Model:
    kind="operation"

### getClassNameSuffux

    public java.lang.String getClassNameSuffux()

  If the meaning of the 'Class Name Suffux' attribute isn't clear, there really should be more of a description here...

  ** Generated **
  Model:
    kind="operation"

### getUniqueIdentifier

    public java.lang.String getUniqueIdentifier()

  This unique string identifier could be used to construct unique identifiers in generated java code

  ** Generated **
  Model:
    kind="operation"

### getLayoutType

    public ViewmapLayoutType getLayoutType()

  ** Generated **
  Model:
    kind="operation"

### getEditPartQualifiedClassName

    public java.lang.String getEditPartQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getItemSemanticEditPolicyQualifiedClassName

    public java.lang.String getItemSemanticEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNotationViewFactoryQualifiedClassName

    public java.lang.String getNotationViewFactoryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getDiagram

    public GenDiagram getDiagram()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.